%define name	gnome-libs
%define version	1.2.4
%define	release	8mdk


%define	preferdb	--enable-prefer-db1

Summary:	Main GNOME libraries
Name:		%name
Version: 	%version
Release:	%release
Copyright:	LGPL
Group:		System/Libraries
BuildRequires: XFree86-devel ORBit-devel audiofile-devel esound-devel imlib-devel zlib-devel xpm-devel libjpeg-devel libpng-devel
Source: 	ftp://ftp.gnome.org/pub/GNOME/sources/stable/%{name}/%{name}-%{version}.tar.bz2
Source1:	gtkrc-default.bz2
Icon:		gnome-libs.xpm
URL:		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires:	gtk+ >= 1.2.5

Requires:	ORBit

Requires:	imlib
Requires:	esound
#BuildPreReq:	utempter



# Red Hat patches
Patch:		RH-gnome-libs-rhsnddefs.patch.bz2
#Patch1:		RH-gnome-libs-1.0.5-sndon.patch
Patch2:		RH-gnome-libs-echok.patch.bz2
Patch6:		gnome-libs-1.2.4-setbgfix.patch.bz2
Patch7:		RH-gnome-terminal-escseqs.patch.bz2
# Helix patches

# small fix until next Gnome-libs release includes it
Patch3:	    gnome-libs-1.2.3-fontsets.patch.bz2

# Mandrake patch
#(fred c)
# add support for Xalf
Patch4: xalf-dentry.patch.bz2
# search icons first in /usr/share/icons/large, normal and small
Patch5: gnome-libs-iconspath.patch.bz2

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  The gnome-libs package
includes libraries that are needed to run GNOME.

%package devel

Summary:	Libraries and headers for GNOME application development
Group:		Development/GNOME and GTK+
Icon:		gnome-libs-devel.xpm
Requires:	%{name} = %{PACKAGE_VERSION}
Requires:	gtk+-devel
Requires:	ORBit-devel
Requires:	imlib-devel
Requires:	esound-devel


%description devel

GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The gnome-libs-devel package
includes the libraries and include files that you will need to develop
GNOME applications.

You should install the gnome-libs-devel package if you would like to
develop GNOME applications.  You don't need to install gnome-libs-devel
if you just want to use the GNOME desktop environment.

%prep
%setup -q -n %{name}-%{version}
echo "	*****     Applying RH patches        *****	"
%patch  -p1 -b .foo
#%patch1 -p1
%patch2 -p1 -b .foo
#%patch2 -p1
%patch3 -p1 -b .srtxg
%patch6 -p1 -b .bg
%patch7 -p1 -b .keys

#echo "	*****     Applying Helix patches     *****	"

echo "	*****     Applying Mandrake patches     *****	"
%patch4 -p1 -b .xalf
%patch5 -p1 -b .icons

%build
%configure --with-kde-datadir=%{_datadir} %{preferdb} --disable-alsa

#i think we need a blank line above

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# find *.mo files, per language
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig



%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.so.*
%{_bindir}/dns-helper
%{_bindir}/gconfigger
%{_bindir}/gnome-bug
%{_bindir}/gnome-dump-metadata
%{_bindir}/gnome-gen-mimedb
%{_bindir}/gnome-moz-remote
%{_bindir}/gnome-name-service
%{_bindir}/gnome_segv
%{_bindir}/goad-browser
%{_bindir}/loadshlib
%{_bindir}/new-object
%attr(2755, root, utmp) %{_sbindir}/gnome-pty-helper
%{_datadir}/idl
%{_datadir}/pixmaps
%config(noreplace) %{_datadir}/gtkrc*
%{_datadir}/mime-info
%{_datadir}/type-convert/type.convert
%config(noreplace) %{_sysconfdir}/*

%files devel
#%files -n gnlibsd
%defattr(-, root, root)
%doc devel-docs/*
%{_bindir}/gnome-config
%{_bindir}/libart-config
%{_libdir}/lib*.so
%{_libdir}/*.a
%{_libdir}/*.sh
%{_libdir}/gnome-libs
%{_includedir}/*
%{_datadir}/aclocal/*
%{_mandir}/*/*

%changelog
* Thu Oct  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-8mdk
- Provides main gnome directories (close bug #614)

* Tue Sep 19 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-7mdk
- Change search for icons for new KDE2 paths

* Tue Sep 12 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-6mdk
- Merge fixes from RedHat for gnome-terminal (set background, delete key)

* Mon Sep 11 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-5mdk
- Search icons in /usr/share/icons subdirectories first

* Thu Aug 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-4mdk
- enhance support for xalf (start application notifier)
- add noreplace for config file

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.4-3mdk
- automatically added BuildRequires

* Thu Aug  3 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-2mdk
- Don't install gtkrc file (was breaking some gtk themes)

* Tue Jul 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-1mdk
- release 1.2.4 (from Helix)

* Tue Jul 25 2000 dam's <damien@mandrakesoft.com> 1.2.3-4mdk
- added disable-alsa.

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 1.2.3-3mdk
- BM + macrozification.

* Tue Jul 18 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.3-2mdk
- added patch to support fontsets in scores and wizards windows

* Wed Jun 21 2000 dam's <damien@mandrakesoft.com> 1.2.3-1mdk
- updated to 1.2.3

* Tue Jun 20 2000 dam's <damien@mandrakesoft.com> 1.2.1-3mdk
- Rebuild due to bad provides.

* Tue Jun 20 2000 dam's <damien@mandrakesoft.com> 1.2.1-2mdk
- Rebuild due to bad provides.

* Fri Jun  9 2000 dam's <damien@mandrakesoft.com> 1.2.1-1mdk
- update from helix release.

* Thu Apr 06 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.58-1mdk
- build release 1.0.58

* Fri Mar 31 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.56-1mdk
- from Helix stuffs
- build release 1.0.56

